#
# spec file for package hgview
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Guido Berhoerster.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hgview
Version:        1.8.2
Release:        6.2
Summary:        Visual Log Navigator for Mercurial
License:        GPL-2.0+
Group:          Development/Tools/Version Control
Url:            http://www.logilab.org/project/hgview
# hg clone http://hg.logilab.org/hgview
# tag="$(hg -R hgview tags | sort -r | sed -n '0,/^hgview-version-/s/^\(hgview-version-[^ ]\{1,\}\).*/\1/p')"
# hg -R hgview archive -f tbz2 -r "${tag}" hgview-"${tag#hgview-version-}".tar.bz2
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  asciidoc
BuildRequires:  mercurial
BuildRequires:  python-devel
BuildRequires:  python-qt4
BuildRequires:  python-qt4-utils
BuildRequires:  python-setuptools
BuildRequires:  xmlto
%{py_requires}
Requires:       mercurial
Requires:       python-pygments
Requires:       python-pyinotify
# Qt4 default interface
Recommends:     hgview-qt4
# for the optional curses interface in the main package
Recommends:     python-urwid
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
hgview is a simple tool aiming at visually navigate in a Mercurial repository
history.  It is written in Python with quick and efficient key-based navigation
in mind, trying to be fast enough to be usable for big repositories.

%package qt4
Summary:        Qt4 User Interface for hgview
Group:          Development/Tools/Version Control
Requires:       hgview = %{version}
Requires:       python-docutils
Requires:       python-qscintilla
Requires:       python-qt4

%description qt4
This package provides the Qt4 user interface for hgview.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install \
    --prefix=%{_prefix} \
    --root=%{buildroot}
mkdir -p %{buildroot}%{_datadir}
mv %{buildroot}%{_prefix}/man %{buildroot}%{_datadir}/
rm -rf %{buildroot}%{_datadir}/doc/hgview
chmod 644 %{buildroot}%{_mandir}/man1/hgview.1*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{python_sitelib}/%{name}-*.egg-info
%{python_sitelib}/hgext
%{python_sitelib}/hgviewlib/
%exclude %{python_sitelib}/hgviewlib/qt4/
%{_bindir}/hgview
%{_mandir}/man1/hgview.1*

%files qt4
%defattr(-,root,root,-)
%{python_sitelib}/hgviewlib/qt4/

%changelog
* Mon Aug 18 2014 gber@opensuse.org
- update to 1.8.2
  - no changelog provided, see
    http://hg.logilab.org/master/hgview/shortlog/969d6d68da2f
    for a detailed list of changes
* Mon May 26 2014 gber@opensuse.org
- update to 1.8.1
  - no changelog provided, see
    http://hg.logilab.org/review/hgview/shortlog/08c8f9749a6f
    for a detailed list of changes
* Wed Mar 12 2014 adam@mizerski.pl
- update to 1.8.0
  - no upstream changelog
* Tue Mar 26 2013 gber@opensuse.org
- update to version 1.7.1
  - remove yellow from possible text and line color
  - compatinility with Mercurial 2.5
  - bugfix: prevent obsolescence cycle to confuse hgview
  - bugfix: fix successors changesets computation
  - bugfix: fix an issue leading hg to get slower and slower with
    reload
- add build dependency on python-qt4-utils which was causing the
  qt4 frontend not being build correctly (bnc#811791)
* Wed Jan  9 2013 gber@opensuse.org
- update to version 1.7.0
  - no changelog provided, see the upstream vcs at
    http://www.logilab.org/repository/38907 for a detailed list of
    changes
- the build depends on mercurial now
* Mon Apr 23 2012 gber@opensuse.org
- only recommend python-urwid, missing dependencies for uis are
  handled gracefully
* Sun Jan  8 2012 gber@opensuse.org
- initial packaging
